﻿/******************************************************************************
 * Jws.OwinAdapter.MsOwin适配器支持Microsoft.Owin的DEMO
 * ===========================================================================
 * 使用方法：
 * 1、将本类编译后得到的dll，连同 Jws.OwinAdapter.MsOwin.dll、Owin.dll、
 *    Microsoft.Owin.dll一同放置到网站的bin文件夹中
 * 2、在对应网站的jws网站配置文件中加入下一句声明，告诉JWS需要启用的适配器：
 *    OwinMain=Jws.OwinAdapter.MsOwin.dll,Jws.OwinAdapter.MsOwin.Adapter
 * 3、重启Jexus让配置生效
 * ****************************************************************************/

using Owin;
using System.Threading.Tasks;

namespace msowindemo
{
    /// <summary>
    /// Microsoft OWIN启动类
    /// <para>类名固定为Startup</para>
    /// </summary>
    public class Startup
    {
        /// <summary>
        /// 启动类配置方法
        /// <para>必须是public，而且方法名和参数类型、参数数量都固定</para>
        /// </summary>
        /// <param name="builder">App生成器</param>
        public void Configuration(IAppBuilder builder)
        {
            builder.Run(c =>
            {
                //在ContentType属性中，指明charset，防止中文乱码
                c.Response.ContentType = "text/html; charset=utf-8";
                c.Response.Write("<h1 style='color:red'>您好，Jexus是全球首款直接支持MS OWIN标准的WEB服务器！</h1>");

                //创建并返回一个表示完成的服务
                var x = new TaskCompletionSource<bool>();
                x.SetResult(true); //调用SetResult后，这个服务即转为完成状态
                return x.Task;
            });
        }
    }
}
