﻿/********************************************************
 * 声明：NancyFxSection类来源于 Nancy.Hosting.Aspnet。
 * ******************************************************/
namespace Jws.OwinAdapter.Nancy
{
    using System;
    using System.Configuration;

    /// <summary>
    /// Web.config中，描述NancyFx节的配置
    /// </summary>
    public class NancyFxSection : ConfigurationSection
    {
        [ConfigurationProperty("bootstrapper")]
        public BootstrapperElement Bootstrapper
        {
            get { return (BootstrapperElement)this["bootstrapper"]; }
            set { this["bootstrapper"] = value; }
        }

        /// <summary>
        /// 表示NancyFx节中的元素的类
        /// </summary>
        public class BootstrapperElement : ConfigurationElement
        {
            /// <summary>
            /// 表示TYPE无素
            /// </summary>
            [ConfigurationProperty("type", DefaultValue = "", IsRequired = true)]
            public String Type
            {
                get { return (String)this["type"]; }
                set { this["type"] = value; }
            }

            /// <summary>
            /// 表示Assembly元素
            /// </summary>
            [ConfigurationProperty("assembly", DefaultValue = "", IsRequired = true)]
            public String Assembly
            {
                get { return (String)this["assembly"]; }
                set { this["assembly"] = value; }
            }
        }
    }
}
